### Enumeration

# Secret BackendFlags

#### Declaration

    enum Secret.BackendFlags

#### Description [src]

Flags which determine which parts of the `SecretBackend` are initialized.

Available since: | 0.19.0

#### Members

Name | Description
--- | ---
`SECRET_BACKEND_NONE` | No flags for initializing the `SecretBackend`.
`SECRET_BACKEND_OPEN_SESSION` | Establish a session for transfer of secrets while initializing the `SecretBackend`.
`SECRET_BACKEND_LOAD_COLLECTIONS` | Load collections while initializing the `SecretBackend`.